Folliow

Loading...
Searching...
No Matches
ProjectCtrl Class Reference
Inheritance diagram for ProjectCtrl:

## Public Member Functions
| home ()
| search ()
| addedit_project ()
| display ()
| sendEmail ()
| accept ()
| refuse ()
| delete ()
| change_image_status ()
| delete_image ()

## Additional Inherited Members
Protected Member Functions inherited from MotherCtrl
| _display ($strView, bool $boolDisplay=true)
Protected Attributes inherited from MotherCtrl
array | $_arrData = array()

## Detailed Description

Le controler des Project

Author
  Yasser, Laura, Besnik & Guillaume

## Member Function Documentation

## ◆ accept()

accept | ( |  | ) |

Fonction de modération de projet = accepté

## ◆ addedit_project()

addedit_project | ( |  | ) |

Fonction d'affichage de la page projet

## ◆ change_image_status()

change_image_status | ( |  | ) |

Fonction de changement de statut (Approuvé, Refusé, En attente)

## ◆ delete()

delete | ( |  | ) |

Fonction de suppression de projet

## ◆ delete_image()

delete_image | ( |  | ) |

Fonction de validation de l'image de projet

## ◆ display()

display | ( |  | ) |

Fonction d'affichage d'un projet

## ◆ home()

home | ( |  | ) |

Fonction d'affichage de la page d'acceuil

## ◆ refuse()

refuse | ( |  | ) |

Fonction de modération de projet = refusé

## ◆ search()

search | ( |  | ) |

Fonction d'affichage de la barre de recherche

## ◆ sendEmail()

sendEmail | ( |  | ) |

Fonction d'envoi d'email

The documentation for this class was generated from the following file:

- D:/projetphp/controllers/ProjectCtrl.php